#!/bin/sh

cd $(dirname "$0")

TRACKER_TEMPLATES="/boot/home/config/settings/Tracker/Tracker New Templates"
FTPFS_VOLUMS=/boot/home/ftpfs

function installFiles {
	# install file system and utilities
	unzip -o install.zip -d /boot/home/config

	# add bookmark to TRACKER_TEMPLATES
	if [ -d "$TRACKER_TEMPLATES" -a \! -e "$TRACKER_TEMPLATES"/FTP\ Bookmark ] ; then
		copyattr -d bookmarks/FTP\ Bookmark "$TRACKER_TEMPLATES"/	
	fi

	# make directory for mount points
	mkdir $FTPFS_VOLUMS 2> /dev/null
}

bin/ftpfs_quit_server
result=$?

if [ $result -ge 0 ] ; then
	copyattr -d bin/ftpfs_quit_server /boot/home/config/bin
	installFiles
	message=$'FTP-FS has been installed.

You can now choose the language for the FTP-FS mounting UI or read the README file for further informations.

Note: You can run the language configuration at any time later by launching the file ConfigureLanguage.sh.
'
	readme="Open README"
	language="Choose Language"
	result=$(alert --info "$message" "$language" "$readme" "Bye")
	if [ "$result" = "$readme" ] ; then	
		StyledEdit README 
	fi
	if [ "$result" = "$language" ] ; then
		ConfigureLanguage.sh
		message="FTP-FS installation completed.

Do you want to read the README file now?"
		result=$(alert --info "$message" "$readme" "Bye")
		if [ "$result" = "$readme" ] ; then
			StyledEdit README
		fi
	fi
else
	alert --stop $'FTP-FS Server is still in use!\nPlease unmount all FTP file systems first.' "OK"
fi
