#!/bin/sh

cd $(dirname "$0")

CONFIG=/boot/home/config

function isInstalled {
	# check if any of the installed files exists
	cat installed_files | ( 
		while read file ; do
			file="$CONFIG/$file"
			if [ -f "$file" -o -h "$file" ] ; then				
				return 0 # is installed
			fi	
		done 
		return 1 # is not installed
		)
	return $?
}

function removeFiles {
	cat installed_files | while read file ; do
		file="$CONFIG/$file"
		if [ -f "$file" -o -h "$file" ] ; then
			rm "$file"
		fi	
	done
}

# Is FTP-FS installed?
isInstalled
if [ $? -eq 1 ] ; then
	alert --stop $'FTP-FS is not installed!' "Bye"
	exit
fi

# Try to quit the FTP-FS server
bin/ftpfs_quit_server
if [ $? -eq 0 ] ; then
	alert --stop $'FTP-FS Server is still in use!\nPlease unmount all FTP file systems first.' "OK"
	exit	
fi

# Ask user if FTP-FS should be removed.
result=$(alert --info $'Do you really want to uninstall FTP-FS?' Yes No)
if [ "$result" = "No" ] ; then
	exit
fi

removeFiles

result=$(alert --info $'FTP-FS has been uninstalled.' "Bye")
